PrefabFiles = {
	"kanok",
	"kanok_none",
}

Assets = {
	Asset( "IMAGE", "images/saveslot_portraits/kanok.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/kanok.xml" ),

	Asset( "IMAGE", "images/selectscreen_portraits/kanok.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/kanok.xml" ),
	
	Asset( "IMAGE", "images/selectscreen_portraits/kanok_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/kanok_silho.xml" ),

	Asset( "IMAGE", "bigportraits/kanok.tex" ),
	Asset( "ATLAS", "bigportraits/kanok.xml" ),
	
	Asset( "IMAGE", "images/map_icons/kanok.tex" ),
	Asset( "ATLAS", "images/map_icons/kanok.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_kanok.tex" ),
	Asset( "ATLAS", "images/avatars/avatar_kanok.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_kanok.tex" ),
	Asset( "ATLAS", "images/avatars/avatar_ghost_kanok.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_kanok.tex" ),
	Asset( "ATLAS", "images/avatars/self_inspect_kanok.xml" ),
	
	Asset( "IMAGE", "images/names_kanok.tex" ),
	Asset( "ATLAS", "images/names_kanok.xml" ),
	
	Asset( "IMAGE", "bigportraits/kanok_none.tex" ),
	Asset( "ATLAS", "bigportraits/kanok_none.xml" ),



	Asset( "ATLAS", "images/hud/kanoktab.xml" ),
	Asset( "IMAGE", "images/hud/kanoktab.tex" ),



}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH



GLOBAL.TUNING.KANOK = {}
if GetModConfigData("Mystic Craft") == "Off" then

else
	local kanoktab = AddRecipeTab( "Mystic Craft", 996, "images/hud/kanoktab.xml", "kanoktab.tex", "kanokcraft")

	GLOBAL.STRINGS.RECIPE_DESC.FIREFLIES = "Little shy bug, shrine at night."
	GLOBAL.STRINGS.RECIPE_DESC.MANRABBIT_TAIL = "Fluffy short tail."
	GLOBAL.STRINGS.RECIPE_DESC.HOUNDSTOOTH = "Doggie tooth, large and pointy."
	GLOBAL.STRINGS.RECIPE_DESC.MINOTAURHORN = "Mighty horn from underworld."
	GLOBAL.STRINGS.RECIPE_DESC.MANDRAKE = "Legendary singing plant."
	GLOBAL.STRINGS.RECIPE_DESC.TENTACLESPIKE = "Owee..."
	AddRecipe("fireflies", {Ingredient("butterfly", 3), Ingredient("torch", 1)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("manrabbit_tail", {Ingredient("rabbit", 2), Ingredient("beardhair", 1), Ingredient("razor", 1)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("houndstooth", {Ingredient("stinger", 2), Ingredient("ash", 2)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("minotaurhorn", {Ingredient("horn", 1), Ingredient("furtuft", 30), Ingredient("glommerfuel", 10)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("mandrake", {Ingredient("livinglog", 6), Ingredient("dragonfruit_seeds", 1), Ingredient("nightmarefuel", 12)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("tentaclespike", {Ingredient("livinglog", 2), Ingredient("axe", 1), Ingredient("stinger", 3)}, kanoktab, TECH.NONE, nil, nil, nil, nil, "kanokcraft")
	AddRecipe("healingsalve", {Ingredient("ash", 1), Ingredient("spidergland", 1)}, kanoktab, TECH.NONE, nil, nil, nil, 2, "kanokcraft")
	AddRecipe("bandage", {Ingredient("papyrus", 1), Ingredient("honey", 1)}, kanoktab, TECH.NONE, nil, nil, nil, 2, "kanokcraft")
end







-- The character select screen lines
STRINGS.CHARACTER_TITLES.kanok = "The Outsider Student"
STRINGS.CHARACTER_NAMES.kanoki = "Kanok"
STRINGS.CHARACTER_DESCRIPTIONS.kanok = "*Energentic Child\n*Mystic Apprentice\n*Loving Care"
STRINGS.CHARACTER_QUOTES.kanok = "\"Can I help you?\""

-- Custom speech strings
STRINGS.CHARACTERS.KANOK = require "speech_kanok"

-- The character's name as appears in-game 
STRINGS.NAMES.KANOK = "Kanok"

AddMinimapAtlas("images/map_icons/kanok.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("kanok", "FEMALE")



