

local MakePlayerCharacter = require "prefabs/player_common"
local assets = {Asset ("SCRIPT", "scripts/prefabs/player_common.lua")}
local prefabs = {}
local start_inv = {"lifeinjector", "trap", "honey"}




local function onbecamehuman(inst)

	inst.components.locomotor:SetExternalSpeedMultiplier(inst, "kanok_speed_mod", 1.35)

end

local function onbecameghost(inst)

	inst.components.locomotor:RemoveExternalSpeedMultiplier(inst, "kanok_speed_mod" )

end




local function onload(inst)

    inst:ListenForEvent("ms_respawnedfromghost", onbecamehuman)
    inst:ListenForEvent("ms_becameghost", onbecameghost)

    if inst:HasTag("playerghost") then

        onbecameghost ( inst )

    else

        onbecamehuman ( inst )

    end

end




local function onsave(inst, data)

	data.maxhealth = inst.components.health.maxhealth or nil
	data.maxhunger = inst.components.hunger.max or nil
	data.maxsanity = inst.components.sanity.max or nil
	
end





local function onpreload(inst, data)

		inst.components.health:SetMaxHealth(data.maxhealth)
		inst.components.hunger:SetMax(data.maxhunger)
		inst.components.sanity:SetMax(data.maxsanity)

end		




local common_postinit = function(inst)

	inst.MiniMapEntity:SetIcon ( "kanok.tex" )
	inst:AddTag("kanokcraft")


end


local function oneat (inst, food)

	if food and food.components.edible and food.prefab == "honeyham" and inst.components.health.maxhealth < 100 then

		inst.components.health.maxhealth = (inst.components.health.maxhealth + 1)
		
		inst.SoundEmitter:PlaySound("dontstarve/characters/wx78/levelup")
		
		inst.components.talker:Say("Delicious and healthty dish.", 5.0)

	elseif food and food.components.edible and food.prefab == "bonestew" and inst.components.hunger.max < 100 then

		inst.components.hunger.max = (inst.components.hunger.max + 1)
		
		inst.SoundEmitter:PlaySound("dontstarve/characters/wx78/levelup")
		
		inst.components.talker:Say("I wonder will eating big meal make me grow taller\?", 5.0)

	elseif food and food.components.edible and food.prefab == "watermelonicle" and inst.components.sanity.max <= 125 then

		inst.components.sanity.max = (inst.components.sanity.max + 2.5)
		
		inst.SoundEmitter:PlaySound("dontstarve/characters/wx78/levelup")
		
		inst.components.talker:Say("Never get tire of this.", 5.0)

	end
	
end


local master_postinit = function (inst)

	inst.soundsname = "willow"
	
	inst.components.health:SetMaxHealth(90)
	inst.components.hunger:SetMax(90)
	inst.components.sanity:SetMax(100)
	inst.components.sanity.neg_aura_mult = 0.50
	inst.components.sanity.night_drain_mult = 0.50
	inst.components.combat.damagemultiplier = 0.75
--	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.35)
--	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.35)
	
	
	inst.components.eater:SetOnEatFn (oneat)
		


	-- Sanity aura to nearby players // Inazuma @ RaythalosM
	inst:AddComponent("sanityaura")
	inst.components.sanityaura.aurafn = function(inst, observer)
		return TUNING.SANITYAURA_SMALL_TINY
	end












	inst.OnSave = onsave
	inst.OnLoad = onload
	inst.OnNewSpawn = onload
	inst.OnPreLoad = onpreload
	
	oneat (inst)
	
	return inst

end






return MakePlayerCharacter("kanok", prefabs, assets, common_postinit, master_postinit, start_inv)


